Bug 33783 - Add support for UCC images to pkgdb
Add support for UCC images to pkgdb
Status: CLOSED FIXED
Product: Univention Corporate Client (UCC)
Classification: Unclassified
Component: UCS Integration
unspecified
Other Linux
: P5 enhancement
: UCC 3.0
Assigned To: Felix Botner
Erik Damrose
:
Depends on:
Blocks: 41921
  Show dependency treegraph
 
Reported: 2013-12-19 09:51 CET by Moritz Muehlenhoff
Modified: 2016-08-16 17:13 CEST (History)
3 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Ticket number:
Bug group (optional): Roadmap discussion (moved)
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Moritz Muehlenhoff univentionstaff 2013-12-19 09:51:59 CET
The UCC image to be installed is assigned via the UMC. However, this doesn't show which image is actually installed (e.g. because no reboot was initiated for a client).

We could store the installed UCC image in the LDAP in addition to the intended UCC image. 

This would allow to search for outdated systems in the UMC and allow further checks via Nagios etc.
Comment 1 Moritz Muehlenhoff univentionstaff 2014-03-27 09:03:12 CET
This is currently not planned for UCC 2.0. If there's sufficient time left, it can be reconsidered.
Comment 2 Felix Botner univentionstaff 2016-07-14 12:38:13 CEST
no pkgdb integration, this is much too complex (requires changes in the univention-pkgdb listener on the UCS server, ...) for just a listing of this information.

A better approach is to add a new attribute (current image) to ucc clients. With this new attribute one can search all UCC clients with a filter for the current image in the UMC computers module, multi select the result and modify image/rollout info's for all the clients with the old image.

ucc-3.0-integration: ucc-management-integration
Added currentImage attribute (UMC, LDAP schema/acl)

ucc-3.0: univention-ucc-initramfs
Added update-current-image to update the current image attribute in the masters's LDAP. This is called during join in 51univention-ucc-initramfs.inst (new installation) and in the initrd if the image has been updated.
Comment 3 Erik Damrose univentionstaff 2016-08-03 17:36:02 CEST
Reopen: translation in UMC is missing ('current image', ...)
OK: Image name written / updated
OK: Image name is searchable in computer module

Missing: Feature documentation. We should probably provide a screenshot and a detailed description how to search for the image and update multiple clients. Feel free to open a new bug for that, or fix it here
Comment 4 Felix Botner univentionstaff 2016-08-05 15:21:35 CEST
(In reply to Erik Damrose from comment #3)
> Reopen: translation in UMC is missing ('current image', ...)
fixed

> 
> Missing: Feature documentation. We should probably provide a screenshot and
> a detailed description how to search for the image and update multiple
> clients. Feel free to open a new bug for that, or fix it here
-> Bug #41921
Comment 5 Erik Damrose univentionstaff 2016-08-08 12:15:16 CEST
OK: translation
OK: documentation bug
Verified
Comment 6 Erik Damrose univentionstaff 2016-08-16 17:13:02 CEST
UCC 3.0 has been released. If this bug occurs again, please clone this bug.